import { useQuery } from "react-query";
import { fetchGuildChannels } from "../../api";
import { useGuild } from "../App/useGuild";

export const CreateTodo = () => {
    const guild = useGuild();

    const { isSuccess, data: channels } = useQuery(fetchGuildChannels(guild));

    return (
        <div class="todo">
            <textarea class="input todo-input" onInput={() => null} />
            <div class="control has-icons-left">
                <div class="select">
                    <select name="channel" class="channel-selector" onInput={() => {}}>
                        <option value="">(None)</option>
                        {isSuccess && channels.map((c) => <option value={c.id}>{c.name}</option>)}
                    </select>
                </div>
                <div class="icon is-small is-left">
                    <i class="fas fa-hashtag"></i>
                </div>
            </div>
            <button onClick={() => null} class="button is-success save-btn">
                <span class="icon">
                    <i class="fa fa-sparkles"></i>
                </span>
            </button>
        </div>
    );
};
